DistributedMember (Apache Geode 1.15.4)

org.apache.geode.distributed

## Interface DistributedMember

- All Superinterfaces:
    Comparable<DistributedMember>

      public interface DistributedMember
      extends Comparable<DistributedMember>

  This is the fundamental representation of a member in a GemFire distributed system. A process becomes a member by calling `DistributedSystem.connect(java.util.Properties)`.
  Since:
    GemFire 5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DurableClientAttributes` | `getDurableClientAttributes()` Returns the durable attributes for this client.
    `List<String>` | `getGroups()` Returns the groups this member belongs to.
    `String` | `getHost()` Returns the canonical name of the host machine for this member.
    `String` | `getId()` Returns a unique identifier for this member.
    `String` | `getName()` Returns this member's name.
    `int` | `getProcessId()` Returns the process id for this member.
    `Set<Role>` | `getRoles()` Deprecated. Roles is scheduled to be removed
    `String` | `getUniqueId()` Returns an immutable unique identifier for this member.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getName

          String getName()

      Returns this member's name. The member name is set using the "name" gemfire property. Returns "" if the member does not have a name.
      Returns:
        this member's name
      Since:
        GemFire 7.0

    - #### getHost

          String getHost()

      Returns the canonical name of the host machine for this member.
      Returns:
        the canonical name of the host machine for this member

    - #### getRoles

          @Deprecated
          Set<Role> getRoles()

      Deprecated. Roles is scheduled to be removed
      Returns the Roles that this member performs in the system. Note that the result will contain both groups and roles.
      Returns:
        the Roles that this member performs in the system

    - #### getGroups

          List<String> getGroups()

      Returns the groups this member belongs to. A member defines the groups it is in using the "groups" gemfire property. Note that the deprecated "roles" gemfire property are also treated as groups so this result will contain both groups and roles.
      Returns:
        a list of groups that this member belongs to.

    - #### getProcessId

          int getProcessId()

      Returns the process id for this member. This may return zero if the platform or configuration does not allow native access to process info.
      Returns:
        the process id for this member

    - #### getId

          String getId()

      Returns a unique identifier for this member. Note that this value may change during the life of the member.
      Returns:
        a unique identifier for this member

    - #### getUniqueId

          String getUniqueId()

      Returns an immutable unique identifier for this member.
      Returns:
        an immutable unique identifier for this member

    - #### getDurableClientAttributes

          DurableClientAttributes getDurableClientAttributes()

      Returns the durable attributes for this client.
      Returns:
        the durable attributes for this client